<template>
  <div class="register-con">
      <navs :message="titles" :rightText="loginTxt" @rights="toRegister" @went="GoIndex"></navs>
      <div class="register-spe">
        <inputs :iTitle="iTitle" :iType="iType" :imgSrc="iptSrc"  ref="tels"></inputs>
      </div>
      <div class="register-spe">
          <inputs :iTitle="iSend" :iType="iNum" :isSend="isSend" @sends="isDisable && clickButton()" ref="sends" :isDisable="isDisable"></inputs>
      </div>

      <div class="button-txt">
        <buttons :buttonText="btnText" @clickButton="loginNow"></buttons>
      </div>
    <div class="agree-able">
     <img class="agree-src" :src="checkedBox"/>
      <span class="register-txt">
        我同意易学懂《用户协议》
      </span>
    </div>
  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import inputs from '../components/inputs.vue';
  import buttons from '../components/buttons.vue';
  import mains from '../utils/main.js';
  import M from '../utils/api.js';
  import alert from '../utils/base.js';
export default {
  name: 'register',
  data () {
    return {
      titles: 'HELLO,请登录',
      bgColor:"#FFF",
      loginTxt:"密码登录",
      iTitle:"手机号",
      iType:"tel",
      iSend:"验证码",

      iNum:"tel",

      isSend:true,
      btnText:"登录",
      isDisable:true,
      iptSrc:require("../assets/del_gray.png"),
      checkedBox:require("../assets/checked.png")
    }
  },

  methods:{

    pwdImg(){
        this.iPwd=this.password=="text" ? "password" :"text";
    },
    GoIndex(){
        this.$router.push("/");
    },
    isRegistered(){

      let para={phone:this.$refs["tels"].inputModel};

      let promises=new Promise((resovle,reject)=>{
        M.isRegist(function(data){
          if(data.isRegist){
            resovle(data);
          }else{
            reject(data);
          }
        },para);
      })

      return promises;
    },

    clickButton(){
      let vm=this;
      vm.isRegistered().then((res)=>{
        vm.isDisable=false;
        vm.sendCode();
        mains.setIntervals(60,function(r){
          vm.$refs["sends"].sendText=r+"S后重新发送";
        },function(){
          vm.isDisable=true;
          vm.$refs["sends"].sendText="点击发送短信";
        })
      },(err)=>{
       alert.alertBox({
           type:"mini",
           msg:"该号码未注册"
       })
        mains.setIntervals(3,function(r){

        },function(){
          vm.$router.push("/register")
        })


      })

    },
    sendCode(){
      let para= {
        phone: this.$refs["tels"].inputModel,
        type:0
      }
      M.sendCode(function(data){
          console.log(data)
      },para,function(err){
          console.log(err)
      })
    },
    loginNow(){
      let para={
        phone:this.$refs["tels"].inputModel,
        code:this.$refs["sends"].inputModel
      },vm=this;
      M.logins(function(data){
        window.localStorage.userInfo=JSON.stringify(data.userInfo);
        vm.$router.push({path:"/",query:{userId:data.userInfo.userId, userName:data.userInfo.userName}})
      },para,function(err){
          console.log(err)
      })
    },
    toRegister(){
        this.$router.push("/pwdLogin")
    }
  },

  components:{
    navs,
    inputs,
    buttons
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    @import "../styles/register.css";
</style>
